<template>
  <div class="flex items-center justify-between border-b px-4 min-h-[60px] w-full">
    <div class="flex items-center">
      <slot
        name="left-content"
      >
        <div class="flex sm:hidden">
          <svn-navbar-menu
            variant="modal"
            :items="items"
          />
        </div>
        <div class="hidden sm:flex md:hidden ">
          <svn-navbar-menu
            variant="select"
            :items="items"
          />
        </div>
        <div class="hidden md:flex">
          <svn-navbar-menu
            variant="navbar"
            :items="items"
          />
        </div>
      </slot>
    </div>
    <div class="flex items-center">
      <slot name="right-content">
        <div class="flex items-center gap-4 sm:gap-5">
          <svn-avatar
            class="h-10 w-10"
            size="lg"
            :avatar="userAvatar"
            :firstname="'Orange'"
            :lastname="'Verte'"
          />
        </div>
      </slot>
    </div>
  </div>
</template>

<script setup>
import {Icon} from "@iconify/vue";
import SvnIconButton from "../button/SvnIconButton.vue";
import SvnAvatar from "../avatar/SvnAvatar.vue";
import SvnNavbarMenu from "@/components/navbar/SvnNavbarMenu.vue";

const props = defineProps({
  items: {
    type: Array,
    default: () => []
  },
  userAvatar: {
    type: String,
    default: ''
  },
  userCompanyLogo: {
    type: String,
    default: ''
  }
})
</script>

<style scoped>

</style>